%define sip_ver 1:4.19.12

Name:          python-qt4
Version:       4.12.3
Release:       %mkrel 7
Summary:       Set of Python bindings for Trolltech's Qt application framework
License:       GPLv2+
Group:         Development/KDE and Qt
URL:           http://www.riverbankcomputing.co.uk/software/pyqt/intro
Source0:       https://sourceforge.net/projects/pyqt/files/PyQt4/PyQt-%{version}/PyQt4_gpl_x11-%{version}.tar.gz
# wrapper, see https://bugzilla.redhat.com/show_bug.cgi?id=1193107#c9
Source1:       pyuic4.sh
# Debian patch for architectures where qreal != double like arm
Patch0:        qreal_float_support.diff

BuildRequires: qt4-devel >= 4:4.5.1
BuildRequires: pkgconfig(QtWebKit) >= 4.5.1
BuildRequires: pkgconfig(QtAssistantClient)
BuildRequires: pkgconfig(dbus-python)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: sed
BuildRequires: pkgconfig(phonon)

%description
PyQt is a set of Python bindings for Trolltech's Qt application framework.

### python3-qt4

%define name3 python3-qt4

%package -n    %{name3}
Summary:       Set of Python3 bindings for Trolltech's Qt application framework
Group:         Development/KDE and Qt
BuildRequires: pkgconfig(python3)
BuildRequires: python3-sip-devel >= %{sip_ver}
BuildRequires: python3-pyqt4-sip >= %{sip_ver}
BuildRequires: dbus-python3
%{?python_provide:%python_provide python3-qt4}
Provides:      python3-PyQt4 = %{version}-%{release}

Requires:      %{name3}-core = %{version}
Requires:      %{name3}-dbus = %{version}
Requires:      %{name3}-declarative = %{version}
Requires:      %{name3}-designer = %{version}
Requires:      %{name3}-gui = %{version}
Requires:      %{name3}-multimedia = %{version}
Requires:      %{name3}-network = %{version}
Requires:      %{name3}-opengl = %{version}
Requires:      %{name3}-script = %{version}
Requires:      %{name3}-sql = %{version}
Requires:      %{name3}-svg = %{version}
Requires:      %{name3}-test = %{version}
Requires:      %{name3}-webkit = %{version}
Requires:      %{name3}-xml = %{version}
Requires:      %{name3}-xmlpatterns = %{version}

%description -n %{name3}
PyQt is a set of Python3 bindings for Trolltech's Qt application framework.

%files -n %{name3}
%doc ChangeLog NEWS README
%license LICENSE

#------------------------------------------------------------

%package -n    %{name3}-core
Summary:       Python 3 bindings for PyQt 4 core
Group:         Development/KDE and Qt
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-core}

%description -n %{name3}-core
Python 3 bindings for PyQt 4 core.

%files -n %{name3}-core
%dir %{python3_sitearch}/PyQt4
%{python3_sitearch}/PyQt4/uic
%{python3_sitearch}/PyQt4/__init__.py*
#(lm) don't remove pyqtconfig.py, it's required by FindPyQt.py (kdelibs4-devel)
%{python3_sitearch}/PyQt4/pyqtconfig.py*
%{python3_sitearch}/dbus/*
%{python3_sitearch}/PyQt4/Qt.so
%{python3_sitearch}/PyQt4/QtCore.so
%{python3_sitearch}/PyQt4/__pycache__/
%dir %{_datadir}/python3-sip/PyQt4
%{_datadir}/python3-sip/PyQt4/Qt
%{_datadir}/python3-sip/PyQt4/QtCore

#------------------------------------------------------------

%package -n    %{name3}-dbus
Summary:       Python 3 bindings for PyQt 4 dbus
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-dbus}

%description -n %{name3}-dbus
Python 3 bindings for PyQt 4 dbus.

%files -n %{name3}-dbus
%{python3_sitearch}/PyQt4/QtDBus.so
%{_datadir}/python3-sip/PyQt4/QtDBus

#------------------------------------------------------------

%package -n    %{name3}-declarative
Summary:       Python 3 bindings for PyQt 4 declarative
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-declarative}

%description -n %{name3}-declarative
Python 3 bindings for PyQt 4 declarative.

%files -n %{name3}-declarative
%{python3_sitearch}/PyQt4/QtDeclarative.so
%{_datadir}/python3-sip/PyQt4/QtDeclarative

#------------------------------------------------------------

%package -n    %{name3}-assistant
Summary:       Python 3 bindings for PyQt 4 assistant
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-assistant}

%description -n %{name3}-assistant
Python 3 bindings for PyQt 4 assistant.

%files -n %{name3}-assistant
%{python3_sitearch}/PyQt4/QtAssistant.so
%{_datadir}/python3-sip/PyQt4/QtAssistant

#------------------------------------------------------------

%package -n    %{name3}-gui
Summary:       Python 3 bindings for PyQt 4 gui
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-gui}

%description -n %{name3}-gui
Python 3 bindings for PyQt 4 gui.

%files -n %{name3}-gui
%{python3_sitearch}/PyQt4/QtGui.so
%{_datadir}/python3-sip/PyQt4/QtGui

#------------------------------------------------------------

%package -n    %{name3}-network
Summary:       Python 3 bindings for PyQt 4 network
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-network}

%description -n %{name3}-network
Python 3 bindings for PyQt 4 network.

%files -n %{name3}-network
%{python3_sitearch}/PyQt4/QtNetwork.so
%{_datadir}/python3-sip/PyQt4/QtNetwork

#------------------------------------------------------------

%package -n    %{name3}-help
Summary:       Python 3 bindings for PyQt 4 help
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-help}

%description -n %{name3}-help
Python 3 bindings for PyQt 4 help.

%files -n %{name3}-help
%{python3_sitearch}/PyQt4/QtHelp.so
%{_datadir}/python3-sip/PyQt4/QtHelp

#------------------------------------------------------------

%package -n    %{name3}-opengl
Summary:       Python 3 bindings for PyQt 4 opengl
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-opengl}

%description -n %{name3}-opengl
Python 3 bindings for PyQt 4 opengl.

%files -n %{name3}-opengl
%{python3_sitearch}/PyQt4/QtOpenGL.so
%{_datadir}/python3-sip/PyQt4/QtOpenGL

#------------------------------------------------------------

%package -n    %{name3}-multimedia
Summary:       Python 3 bindings for PyQt 4 multimedia
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-multimedia}

%description -n %{name3}-multimedia
Python 3 bindings for PyQt 4 multimedia.

%files -n %{name3}-multimedia
%{python3_sitearch}/PyQt4/QtMultimedia.so
%{_datadir}/python3-sip/PyQt4/QtMultimedia

#------------------------------------------------------------

%package -n    %{name3}-script
Summary:       Python 3 bindings for PyQt 4 script
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-script}

%description -n %{name3}-script
Python 3 bindings for PyQt 4 script.

%files -n %{name3}-script
%{python3_sitearch}/PyQt4/QtScript.so
%{_datadir}/python3-sip/PyQt4/QtScript

#------------------------------------------------------------

%package -n     %{name3}-sql
Summary:        Python 3 bindings for PyQt 4 sql
Group:          Development/KDE and Qt
Requires:       %{name3}-core = %{version}
Requires:       python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-sql}

%description -n %{name3}-sql
Python 3 bindings for PyQt 4 sql.

%files -n %{name3}-sql
%{python3_sitearch}/PyQt4/QtSql.so
%{_datadir}/python3-sip/PyQt4/QtSql

#------------------------------------------------------------

%package -n    %{name3}-svg
Summary:       Python 3 bindings for PyQt 4 svg
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-svg}

%description -n %{name3}-svg
Python 3 bindings for PyQt 4 svg.

%files -n %{name3}-svg
%{python3_sitearch}/PyQt4/QtSvg.so
%{_datadir}/python3-sip/PyQt4/QtSvg

#------------------------------------------------------------

%package -n    %{name3}-test
Summary:       Python 3 bindings for PyQt 4 test
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-test}

%description -n %{name3}-test
Python 3 bindings for PyQt 4 test.

%files -n %{name3}-test
%{python3_sitearch}/PyQt4/QtTest.so
%{_datadir}/python3-sip/PyQt4/QtTest

#------------------------------------------------------------

%package -n    %{name3}-webkit
Summary:       Python 3 bindings for PyQt 4 Webkit
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-webkit}

%description -n %{name3}-webkit
Python 3 bindings for PyQt 4 webkit.

%files -n %{name3}-webkit
%{python3_sitearch}/PyQt4/QtWebKit.so
%{_datadir}/python3-sip/PyQt4/QtWebKit

#------------------------------------------------------------

%package -n    %{name3}-xml
Summary:       Python 3 bindings for PyQt 4 xml
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-xml}

%description -n %{name3}-xml
Python 3 bindings for PyQt 4 xml.

%files -n %{name3}-xml
%{python3_sitearch}/PyQt4/QtXml.so
%{_datadir}/python3-sip/PyQt4/QtXml

#------------------------------------------------------------

%package -n    %{name3}-xmlpatterns
Summary:       Python 3 bindings for PyQt 4 xmlpatterns
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-xmlpatterns}

%description -n %{name3}-xmlpatterns
Python 3 bindings for PyQt 4 xmlpatterns.

%files -n %{name3}-xmlpatterns
%{python3_sitearch}/PyQt4/QtXmlPatterns.so
%{_datadir}/python3-sip/PyQt4/QtXmlPatterns

#------------------------------------------------------------

%package -n    %{name3}-scripttools
Summary:       Python 3 bindings for PyQt 4 scripttools
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-scripttools}

%description -n %{name3}-scripttools
Python 3 bindings for PyQt 4 scripttools.

%files -n %{name3}-scripttools
%{python3_sitearch}/PyQt4/QtScriptTools.so
%{_datadir}/python3-sip/PyQt4/QtScriptTools

#------------------------------------------------------------

%package -n    %{name3}-designer
Summary:       Python 3 bindings for PyQt 4 designer
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-designer}

%description -n %{name3}-designer
Python 3 bindings for PyQt 4 designer.

%files -n %{name3}-designer
%{python3_sitearch}/PyQt4/QtDesigner.so
%{_datadir}/python3-sip/PyQt4/QtDesigner

#------------------------------------------------------------

%package -n    %{name3}-phonon
Summary:       Python 3 bindings for PyQt 4 phonon
Group:         Development/KDE and Qt
Requires:      %{name3}-core = %{version}
Requires:      python3-pyqt4-sip-api(%{_sip_api_major}) >= %{_sip_api}
%{?python_provide:%python_provide python3-qt4-phonon}

%description -n %{name3}-phonon
Python 3 bindings for PyQt 4 phonon.

%files -n %{name3}-phonon
%{python3_sitearch}/PyQt4/phonon.so
%{_datadir}/python3-sip/PyQt4/phonon

#------------------------------------------------------------

%package -n    %{name3}-doc
Summary:       Python 3 bindings for PyQt 4 documentation
Group:         Development/KDE and Qt
BuildArch:     noarch

%description -n %{name3}-doc
Python 3 bindings for PyQt 4 documentation.

%files -n %{name3}-doc
%doc %{_docdir}/%{name3}
%exclude %{_docdir}/%{name3}/examples

#------------------------------------------------------------

%package -n    %{name3}-examples
Summary:       Python 3 bindings for PyQt 4 examples
Group:         Development/KDE and Qt
BuildArch:     noarch

%description -n %{name3}-examples
Python 3 bindings for PyQt 4 examples.

%files -n %{name3}-examples
%doc %{_docdir}/%{name3}/examples

#------------------------------------------------------------

%package -n    %{name3}-devel
Summary:       Python 3 bindings for PyQt 4 devel
Group:         Development/KDE and Qt
Requires:      %{name3} = %{version}
Requires:      qt4-designer
Obsoletes:     python2-qt4-devel < 4.12.3-5

%description -n %{name3}-devel
Python 3 bindings for PyQt 4 devel utilities.

%files -n %{name3}-devel
%{_bindir}/pyuic4
%{_bindir}/pyrcc4
%{_bindir}/pylupdate4
%{qt4plugins}/designer/*

### END python3-qt4

#------------------------------------------------------------

%prep
%setup -q -n PyQt4_gpl_x11-%{version}
%autopatch -p1

# fix python shebang
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" examples/

%build
export QTDIR=%{qt4dir}
export PATH=%{qt4dir}/bin:$PATH
export CFLAGS='%{optflags} -fPIC'
export CXXFLAGS='%{optflags} -fPIC'

# Python 3 build:
%{__python3} ./configure.py \
	--sipdir=%{_datadir}/python3-sip/PyQt4 \
	--no-qsci-api \
	--assume-shared \
	--confirm-license \
	--no-timestamp \
	--debug \
	--verbose

# Some modules not requires X libraries
# Python sip not diferentiate qt modules and always add a X set of
# libs to link. We're explicitely this unecessary links
# Using same approach to add missin libpython linh

for name in Qt dbus phonon QtAssistant QtCore QtDBus QtDeclarative QtGui QtMultimedia QtNetwork QtOpenGL QtWebKit QtScript QtSvg QtSql QtDesigner QtTest QtXml QtXmlPatterns QtHelp QtScriptTools; do
    sed -i "s,^LIBS.*= ,LIBS = $(python3-config --libs --embed) ,g" ${name}/Makefile
    sed -i "s#^LFLAGS.*= #LFLAGS = %{ldflags} #g" ${name}/Makefile
done
sed -i "s,/usr/lib/qt4/include/phonon,/usr/include/phonon,g" phonon/Makefile
sed -i "s#^LFLAGS.*= #LFLAGS = %{ldflags} #g" designer/Makefile pyrcc/Makefile
%make_build

%install
### python3-qt4 install
%make_install INSTALL_ROOT=%{buildroot}

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt4/*.so %{buildroot}%{python3_sitearch}/dbus/mainloop/qt.so ; do
chmod a+rx $i
done

mkdir -p %{buildroot}%{_docdir}/%{name3}
    cp -fr doc/html/* %{buildroot}%{_docdir}/%{name3}/

mkdir %{buildroot}%{_docdir}/%{name3}/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{name3}/examples/

### likewise, remove Python 2 code from the Python 3.1 directory:
rm -rf %{buildroot}%{python3_sitearch}/PyQt4/uic/port_v2/

### install pyuic4 wrapper to handle both/either python2/python3
rm -fv %{buildroot}%{_bindir}/pyuic4
install -p -m 0755 -D %{SOURCE1} %{buildroot}%{_bindir}/pyuic4
sed -i \
  -e "s|@PYTHON3@|%{__python3}|g" \
  -e "s|@PYTHON2@|%{__python2}|g" \
  %{buildroot}%{_bindir}/pyuic4


%changelog
* Sat Jul 25 2020 daviddavid <daviddavid> 4.12.3-7.mga8
+ Revision: 1608908
- fix python shebang
+ danf <danf>
- Switch URLs from http: to https:
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 wally <wally> 4.12.3-5.mga8
+ Revision: 1439391
- rebuild for python3.8
- drop python2 support

* Wed Apr 17 2019 daviddavid <daviddavid> 4.12.3-4.mga7
+ Revision: 1391938
- python3-qt4-opengl require python3-qt4-core

* Fri Feb 15 2019 daviddavid <daviddavid> 4.12.3-3.mga7
+ Revision: 1367141
- python2-qt4-qsci-api can't be a noarch package (as of /usr/lib(64)/ dir)

* Mon Jan 07 2019 shlomif <shlomif> 4.12.3-2.mga7
+ Revision: 1350390
- rebuild for python3 3.7

* Fri Aug 31 2018 daviddavid <daviddavid> 4.12.3-1.mga7
+ Revision: 1255951
- new version: 4.12.3

* Wed Aug 15 2018 daviddavid <daviddavid> 4.12.2-1.mga7
+ Revision: 1251659
- new version: 4.12.2
- switch to new python{2,3}-pyqt4-sip

* Fri Jul 13 2018 daviddavid <daviddavid> 4.12.1-3.mga7
+ Revision: 1243356
- rebuild for new python-sip 4.19.12

* Thu Apr 19 2018 daviddavid <daviddavid> 4.12.1-2.mga7
+ Revision: 1220039
- rename all python-module to python2-module

* Fri Aug 04 2017 philippem <philippem> 4.12.1-1.mga7
+ Revision: 1134844
- rewrite setup
- update to 4.12.1
- rebuild for Python3.6

* Thu Oct 06 2016 daviddavid <daviddavid> 4.11.4-10.mga6
+ Revision: 1059155
- fix qt.so dbus file path

* Wed Jun 29 2016 akien <akien> 4.11.4-9.mga6
+ Revision: 1038082
- Split qsci API file in a separate noarch package, fixing conflicts
  o See https://ml.mageia.org/l/arc/dev/2016-06/msg00729.html

* Mon Jun 27 2016 akien <akien> 4.11.4-8.mga6
+ Revision: 1037804
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 4.11.4-7.mga6
+ Revision: 1037518
- Fix python(2)-sip Requires in python3 package

* Sat Jun 25 2016 akien <akien> 4.11.4-6.mga6
+ Revision: 1037515
- Rebuild for python-sip 4.18

* Fri Dec 18 2015 pterjan <pterjan> 4.11.4-5.mga6
+ Revision: 911549
- Add Debian patch for architectures where qreal != double like arm

* Mon Nov 09 2015 daviddavid <daviddavid> 4.11.4-4.mga6
+ Revision: 899756
- all python3-qt4 subpackages requires python3-qt4-core instead of python-qt4-core
- add python3-qt4-devel subpackage
- fix wrong python release used in pyuic4 launch script (rhbz#1193107)
- improve debug package with proper fix as it should
- fix owner of sip/PyQt4 dir and python3-sip/PyQt4 dir
- fix owner of %%{qt4dir}/qsci dir
- add doc files on both main packages
- introduce license macro
- use new python macros

* Wed Oct 07 2015 philippem <philippem> 4.11.4-2.mga6
+ Revision: 887030
- rebuild for Python 3.5

* Thu Aug 13 2015 fwang <fwang> 4.11.4-1.mga6
+ Revision: 864189
- 4.11.4

* Wed Dec 03 2014 lmenut <lmenut> 4.11.3-1.mga5
+ Revision: 800526
- Update to 4.11.3

* Wed Oct 15 2014 umeabot <umeabot> 4.11.2-2.mga5
+ Revision: 743216
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 lmenut <lmenut> 4.11.2-1.mga5
+ Revision: 734459
- update to 4.11.2

* Sat Sep 27 2014 tv <tv> 4.11.1-3.mga5
+ Revision: 729616
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.11.1-2.mga5
+ Revision: 688298
- Mageia 5 Mass Rebuild

* Sun Jul 13 2014 fwang <fwang> 4.11.1-1.mga5
+ Revision: 651696
- 4.11.1

* Tue Jun 03 2014 lmenut <lmenut> 4.11-3.mga5
+ Revision: 630774
- reuse configure.py in order to build pyqtconfig.py (required by FindPyQt.py)
  add upstream patches from PyQt-4.11.1 snapshot to fix build with configure.py
  restore python(3)-qt4-assistant subpackages

* Sat May 31 2014 pterjan <pterjan> 4.11-2.mga5
+ Revision: 628981
- Rebuild for new Python
+ fwang <fwang>
- do not cat makefile

* Thu May 29 2014 fwang <fwang> 4.11-1.mga5
+ Revision: 627449
- update file list
- update sip dir for py3
- update file list
- update file list
- fix markup
- qtassistant was abandoned
- use configure-ng as suggested by upstream
- 4.11

* Mon Mar 17 2014 fwang <fwang> 4.10.4-1.mga5
+ Revision: 604311
- 4.10.4

* Mon Oct 21 2013 umeabot <umeabot> 4.10.3-3.mga4
+ Revision: 541047
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 luigiwalser <luigiwalser> 4.10.3-2.mga4
+ Revision: 494990
- add bytecompiled .py files
- do not provide private python extension libs

* Thu Aug 29 2013 fwang <fwang> 4.10.3-1.mga4
+ Revision: 472827
- patch merged upstream
- new version 4.10.3

* Sat Jun 29 2013 philippem <philippem> 4.10.2-3.mga4
+ Revision: 448247
- add Python3
+ fwang <fwang>
- fix typo

* Tue Jun 18 2013 fwang <fwang> 4.10.2-2.mga4
+ Revision: 444294
- rebuild for new sip

* Tue Jun 18 2013 fwang <fwang> 4.10.2-1.mga4
+ Revision: 444288
- new version 4.10.2

* Sun Jun 09 2013 fwang <fwang> 4.10.1-1.mga4
+ Revision: 441316
- new version 4.10.1
- new version 4.10.1

* Sun Jan 13 2013 umeabot <umeabot> 4.9.6-4.mga3
+ Revision: 379425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 fwang <fwang> 4.9.6-3.mga3
+ Revision: 329231
- more ldflags promotion

* Sun Dec 09 2012 fwang <fwang> 4.9.6-2.mga3
+ Revision: 329227
- fix typo
- fix typo
- promote ldflags

* Sun Dec 09 2012 fwang <fwang> 4.9.6-1.mga3
+ Revision: 329174
- bump req
- new version 4.9.6

* Sat Dec 08 2012 fwang <fwang> 4.9.5-2.mga3
+ Revision: 328074
- move sip requires into component

* Tue Oct 09 2012 fwang <fwang> 4.9.5-1.mga3
+ Revision: 303732
- drop merged patch
- new version 4.9.5

* Sat Sep 08 2012 neoclust <neoclust> 4.9.4-1.mga3
+ Revision: 290473
- New minor release 4.9.4

* Wed Aug 15 2012 juancho <juancho> 4.9.3-4.mga3
+ Revision: 281448
- Added patch to fix custom widgets bug that prevents weboob from building (see comments in spec for more details).
- Crap, I commited wrong window, I just reverted the commit, sorry
- Added Requires for python-qt4-gui and python-sip to fix bug 6632

* Fri Jul 20 2012 neoclust <neoclust> 4.9.3-3.mga3
+ Revision: 272726
- Add an example subpackage ( mga #6661 )
+ fwang <fwang>
- doc should be a noarch package

* Wed Jul 18 2012 neoclust <neoclust> 4.9.3-2.mga3
+ Revision: 272146
- Add a documentation subpackage ( mga #6660)

* Mon Jun 25 2012 fwang <fwang> 4.9.3-1.mga3
+ Revision: 263399
- new version 4.9.3

* Mon Feb 13 2012 fwang <fwang> 4.9.1-1.mga2
+ Revision: 208396
- new version 4.9.1

* Tue Dec 27 2011 fwang <fwang> 4.9-2.mga2
+ Revision: 188107
- rebuild for new qt

* Mon Dec 26 2011 fwang <fwang> 4.9-1.mga2
+ Revision: 187694
- add dbus sub package
- fix linkage
- new version 4.9

* Sun Dec 18 2011 fwang <fwang> 4.8.6-2.mga2
+ Revision: 183603
- versioned br
- br qtwebkit

* Mon Oct 31 2011 fwang <fwang> 4.8.6-1.mga2
+ Revision: 160346
- new version 4.8.6
- new version 4.8.5

* Fri Jun 17 2011 fwang <fwang> 4.8.4-1.mga2
+ Revision: 108611
- bump req of sip
- New version 4.8.4
- drop unused patch

* Fri Mar 25 2011 ahmad <ahmad> 4.8.3-2.mga1
+ Revision: 77433
- change the runtime sip requires to require the correct sip-api (to cope with
  the changes in python-sip)

* Fri Mar 25 2011 ahmad <ahmad> 4.8.3-1.mga1
+ Revision: 77230
- update to 4.8.3
- rediff test64
- bump python-sip requires
- use the current qt4 Epoch in the qt4-devel BR

* Sun Jan 16 2011 misc <misc> 4.8.2-2.mga1
+ Revision: 20555
- rebuild for new python 2.7

* Sat Jan 15 2011 ahmad <ahmad> 4.8.2-1.mga1
+ Revision: 19758
- imported package python-qt4


* Fri Dec 24 2010 Funda Wang <fwang@mandriva.org> 4.8.2-1mdv2011.0
+ Revision: 624592
- new version 4.8.2

* Sat Oct 30 2010 Funda Wang <fwang@mandriva.org> 4.8.1-1mdv2011.0
+ Revision: 590553
- new version 4.8.1

* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 4.8-1mdv2011.0
+ Revision: 589912
- new version 4.8

* Sat Oct 09 2010 Funda Wang <fwang@mandriva.org> 4.7.7-2mdv2011.0
+ Revision: 584423
- add upstream patch to fix build pykde

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 4.7.7-1mdv2011.0
+ Revision: 583028
- new version 4.7.7
- versioned requires

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 575000
- new version 4.75

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 4.7.4-3mdv2011.0
+ Revision: 563952
- still build python-assistant but do not promote it as of deprecated module

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 4.7.4-2mdv2011.0
+ Revision: 562058
- rebuild for qt4.7 (assistant not there anymore)

* Wed Jul 14 2010 Funda Wang <fwang@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 552993
- rework link patch
- New version 4.7.4

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.7.3-2mdv2010.1
+ Revision: 539596
- rebuild so that shared libraries are properly stripped again

* Sun Apr 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.7.3-1mdv2010.1
+ Revision: 538784
- update to new version 4.7.3

  + Funda Wang <fwang@mandriva.org>
    - link LIBS rather than LDFLAGS

* Thu Mar 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.2-1mdv2010.1
+ Revision: 524982
- Fix file list
- Add patch to fix build against phonon headers
- Add phonon-devel as buildrequires

  + Colin Guthrie <cguthrie@mandriva.org>
    - Fix phonon build by tweaking the Qt-phonon include path to our one and fixing the link libraries.

  + Funda Wang <fwang@mandriva.org>
    - bump req
    - New version 4.7.2

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 4.7-1mdv2010.1
+ Revision: 494592
- add multimedia module
- New version 4.7 final

* Sat Jan 09 2010 Funda Wang <fwang@mandriva.org> 4.7-0.20091231.2mdv2010.1
+ Revision: 488121
- rebuild for new sip

* Fri Jan 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7-0.20091231.1mdv2010.1
+ Revision: 487425
- New snapshot

* Mon Nov 23 2009 Funda Wang <fwang@mandriva.org> 4.6.2-1mdv2010.1
+ Revision: 469306
- new version 4.6.2

* Sat Oct 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.6.1-1mdv2010.0
+ Revision: 459149
- Update to version 4.6.1 - Bugfix version

* Mon Sep 28 2009 Funda Wang <fwang@mandriva.org> 4.6-1mdv2010.0
+ Revision: 450451
- bump sip requires
- new version 4.6

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 4.5.4-2mdv2010.0
+ Revision: 450313
- fix real implementation on arm & mips since the qreal stuff is
  broken on these arches (from Arnaud Patard, patch from Debian)

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 4.5.4-1mdv2010.0
+ Revision: 415693
- update to new version 4.5.4

* Wed Jul 15 2009 Funda Wang <fwang@mandriva.org> 4.5.2-1mdv2010.0
+ Revision: 396101
- new version 4.5.2

* Thu Jul 09 2009 Helio Chissini de Castro <helio@mandriva.com> 4.5.1-2mdv2010.0
+ Revision: 393948
- Fix build against new Qt 4.5.2 and proper handle python libraries

* Thu Jun 18 2009 Helio Chissini de Castro <helio@mandriva.com> 4.5.1-1mdv2010.0
+ Revision: 387133
- Bugfix release 4.8.1

* Sat Jun 06 2009 Funda Wang <fwang@mandriva.org> 4.5-1mdv2010.0
+ Revision: 383209
- 4.5 final

* Sat May 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5-0.20090527.2mdv2010.0
+ Revision: 381218
- Fix file list and link
- Bump release
- New snapshot
- New snapshot
- Versionnate python-sip requires

* Sun May 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5-0.20090502.1mdv2010.0
+ Revision: 370959
- Fix Build
  Versionnate python-sip
- Update to 4.5 snapshot

* Sun Mar 01 2009 Helio Chissini de Castro <helio@mandriva.com> 4.4.4-6mdv2009.1
+ Revision: 346252
- Fix compilation for 2009.0 and cooker
- Added help module. Added back scintilla

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 4.4.4-2mdv2009.1
+ Revision: 318788
- fix str fmt
- fix spec
- rebuild for new python

* Sun Nov 09 2008 Funda Wang <fwang@mandriva.org> 4.4.4-1mdv2009.1
+ Revision: 301260
- rediff patch
- bump sip req
- new version 4.4.4

* Sat Aug 09 2008 Funda Wang <fwang@mandriva.org> 4.4.3-1mdv2009.0
+ Revision: 270023
- New version 4.4.3
- decrease sip BR
- fix url and source url

* Wed Jul 16 2008 Helio Chissini de Castro <helio@mandriva.com> 4.4.2-2mdv2009.0
+ Revision: 236225
- We have XmlPatterns enabled now in Qt4

* Thu May 22 2008 Funda Wang <fwang@mandriva.org> 4.4.2-1mdv2009.0
+ Revision: 209969
- BR dbus
- New version 4.4.2

  + David Walluck <walluck@mandriva.org>
    - fix PYTHON_LIB setting
    - 4.4-snapshot-20080424

* Tue Feb 19 2008 Thierry Vignaud <tv@mandriva.org> 4.3.3-2mdv2008.1
+ Revision: 173106
- fix percent-in-provides
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 12 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3.3-1mdv2008.1
+ Revision: 117851
- New python qt4 to match kde4 bindings and new qt 4.3.3

* Sun Nov 18 2007 Funda Wang <fwang@mandriva.org> 4.3.1-1mdv2008.1
+ Revision: 109942
- New version 4.3.1
- fix Source url

* Tue Aug 21 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3-4mdv2008.0
+ Revision: 68698
- Removed last invalid X requires

* Tue Aug 21 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3-3mdv2008.0
+ Revision: 68165
- Fixed test for designer plugin in 64

* Tue Aug 21 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3-1mdv2008.0
+ Revision: 68146
- Adde designer plugin
- import python-qt4-4.3-1mdv2008.0

  + David Walluck <walluck@mandriva.org>
    - BuildRequires: python-dbus


